----------------------------------------------------------------后端服务启动前执行-----------------------------------------------------------------------------------------
CREATE TABLE `ec_oes_exam_face_biopsy` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`error_msg` VARCHAR (500) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NOT NULL,
 `result` bit (1) NULL DEFAULT NULL,
 `root_org_id` BIGINT (20) NOT NULL,
 `verified_times` INT (11) NOT NULL,
 PRIMARY KEY (`id`),
 UNIQUE INDEX `IDX_E_F_B_001001` (`exam_record_data_id`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `ec_oes_exam_face_biopsy_item` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`completed` bit (1) NOT NULL,
	`error_msg` VARCHAR (500) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NOT NULL,
 `face_biopsy_id` BIGINT (20) NOT NULL,
 `face_biopsy_type` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NOT NULL,
 `in_freeze_time` bit (1) NOT NULL,
 `result` bit (1) NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 INDEX `IDX_E_F_B_I_001001` (`exam_record_data_id`) USING BTREE,
 INDEX `IDX_E_F_B_I_001002` (`face_biopsy_id`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `ec_oes_exam_face_biopsy_item_step` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`action` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NOT NULL,
 `action_stay` INT (11) NULL DEFAULT NULL,
 `error_msg` VARCHAR (500) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NOT NULL,
 `ext1` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `ext2` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `ext3` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `ext4` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `ext5` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `face_biopsy_item_id` BIGINT (20) NOT NULL,
 `resource_relative_path` VARCHAR (200) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `resource_type` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `result` bit (1) NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 INDEX `IDX_E_F_B_I_S_001001` (`exam_record_data_id`) USING BTREE,
 INDEX `IDX_E_F_B_I_S_001002` (`face_biopsy_item_id`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `ec_oes_exam_face_liveness_verify` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`biz_id` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `error_msg` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_record_data_id` BIGINT (20) NULL DEFAULT NULL,
 `is_error` bit (1) NULL DEFAULT NULL,
 `operate_num` INT (11) NULL DEFAULT NULL,
 `result_json` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `start_time` datetime NULL DEFAULT NULL,
 `used_time` BIGINT (20) NULL DEFAULT NULL,
 `verify_result` VARCHAR (2000) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 INDEX `IDX_E_O_E_F_L_V_001` (
	`exam_record_data_id`,
	`is_error`
) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `ec_oes_exam_record_data` (
	`id` BIGINT (20) NOT NULL AUTO_INCREMENT,
	`creation_time` datetime NOT NULL,
	`update_time` datetime NOT NULL,
	`baidu_face_liveness_success_percent` DOUBLE NULL DEFAULT NULL,
	`base_paper_id` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `batch_num` BIGINT (20) NULL DEFAULT NULL,
 `clean_time` datetime NULL DEFAULT NULL,
 `continued_count` INT (11) NULL DEFAULT NULL,
 `course_id` BIGINT (20) NULL DEFAULT NULL,
 `end_time` datetime NULL DEFAULT NULL,
 `exam_id` BIGINT (20) NULL DEFAULT NULL,
 `exam_record_status` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `exam_student_id` BIGINT (20) NULL DEFAULT NULL,
 `exam_type` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `face_failed_count` INT (11) NULL DEFAULT NULL,
 `face_stranger_count` INT (11) NULL DEFAULT NULL,
 `face_success_count` INT (11) NULL DEFAULT NULL,
 `face_success_percent` DOUBLE NULL DEFAULT NULL,
 `face_total_count` INT (11) NULL DEFAULT NULL,
 `face_verify_result` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `hand_in_exam_type` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `is_all_objective_paper` bit (1) NULL DEFAULT NULL,
 `is_audit` bit (1) NULL DEFAULT NULL,
 `is_continued` bit (1) NULL DEFAULT NULL,
 `is_exceed` bit (1) NULL DEFAULT NULL,
 `is_illegality` bit (1) NULL DEFAULT NULL,
 `is_warn` bit (1) NULL DEFAULT NULL,
 `objective_accuracy` DOUBLE NULL DEFAULT NULL,
 `objective_score` DOUBLE NULL DEFAULT NULL,
 `org_id` BIGINT (20) NULL DEFAULT NULL,
 `paper_type` VARCHAR (255) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `question_count` INT (11) NULL DEFAULT NULL,
 `root_org_id` BIGINT (20) NULL DEFAULT NULL,
 `start_time` datetime NULL DEFAULT NULL,
 `student_id` BIGINT (20) NULL DEFAULT NULL,
 `subjective_score` DOUBLE NULL DEFAULT NULL,
 `succ_percent` DOUBLE NULL DEFAULT NULL,
 `sync_status` VARCHAR (20) CHARACTER
SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
 `total_score` DOUBLE NULL DEFAULT NULL,
 `used_exam_time` BIGINT (20) NULL DEFAULT NULL,
 PRIMARY KEY (`id`),
 INDEX `IDX_E_O_E_R_D_001` (`exam_student_id`) USING BTREE,
 INDEX `IDX_E_O_E_R_D_002` (`student_id`) USING BTREE,
 INDEX `IDX_E_O_E_R_D_003` (`exam_id`) USING BTREE,
 INDEX `IDX_E_O_E_R_D_004` (`course_id`) USING BTREE
) ENGINE = INNODB DEFAULT CHARACTER
SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


----------------------------------------------------------------后端服务启动后执行------------------------------------------------------------------------------------------


